Mailinglist Archive: opensuse-factory (1324 mails)

< Previous Next >
Re: [opensuse-factory] Call for Maintainer: KDE3
On Sun, 25 Oct 2015 09:38:42 +0000
John Layt <johnlayt@xxxxxxxxxxxxxx> wrote:

On 24 October 2015 at 23:51, Dominique Leuenberger / DimStar
<dimstar@xxxxxxxxxxxx> wrote:
Dear Tumbleweed Hackers,

It seems KDE3 is no longer getting the attention it needs in order
to survive as a viable option in Tumbleweed.

...

If there is no will to get those packages fixed, we can discuss
about removing them.

Let me play Devil's Advocate here: why do we have KDE3 shipping in the
main repository of what is supposed to be "a pure rolling release
version of openSUSE containing the latest stable versions of all
software"? How does a version of KDE and Qt that hasn't been the
latest stable release or supported for 7 years qualify? What purpose
does it serve?

On switching to Tumbleweed a couple of months ago and searching for
KDE apps to install I was very surprised to be confronted by unclear
choices between KDE 3 and KDE 4/KF5 versions of things. The situation
is confusing enough with the KDE4 / KF5 migration! Now, as a KDE dev I
could unpick some of that and know what to choose, but even then I
accidentally ended up with some KDE3 stuff installed. To an average
user I'd suggest it's even more confusing and counter-productive, and
due to a lack of security updates downright dangerous. I have no
problem with a few people clinging on to an app of even the desktop by
using an OBS repo, but given what I suspect is the tiny user base is
it really worth the clutter and hassle and security risk of having it
in the main repo?

John.


Unfortunately, some third party apps like Chrome and LSB 4.0 still pull
in Qt3 and KDE3. So at least some subset of KDE3 needs to be in TW.

Thanks,
Peter

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups